#### Blockchain

All these apps are all distributed in some way, because they use a blockchain, but not federated. I think it's useful to have this list to point to, in case people think we just don't know about these apps, and because the non-scammy, free code ones might be worth approaching about implementing AP or Zot to bridge to the fediverse.

Because all these blockchain apps are in competition with each other, unlike the fediverse apps who cooperate on common protocols, it's hard to see how any of them will gain the network effect to compete with the legacy datafarms. Although some, like Resonate and Musicoin, are [platform cooperatives](https://www.opendemocracy.net/oliver-sylvester-bradley/ours-to-hack-and-own), it seems like at least some of the others are just datafarm larvae like [Everipedia](https://davidgerard.co.uk/blockchain/2018/10/13/everipedia-the-wikipedia-for-being-wrong-but-on-the-blockchain/), aiming to enslave enough users to get Vulture Capitalist funding, and exit by acquisition or IPO - Strypey

## Social network

* [Afari](https://www.afari.io/) (pre-alpha) - a mobile-based social network built on the BlockStack blockchain. Not yet in beta as of 2018/12/20.

* [Akasha](https://akasha.world/) (beta) - a web-based social network app that uses the Ethereum blockchain.

* [Datong](http://datong.nu/) - at this point just vapourware with a Patreon. Can't rule out it being a scam. I presume if it is a real project they will use a blockchain as the homepage says "We will introduce an unique digital coin that you can exchange for services on the network itself."

* [eSteem](https://esteem.app/) - Tumblr clone using the Steem blockchain

* [Leeroy](https://leeroy.io/) (defunct) - a web-based social network app that used the Ethereum blockchain. Their website now directs users to Peepeth.

* [Memo](https://memo.cash/) - they aim to create an uncensorable social network on the BitCoin blockchain.

* [Minds](http://minds.com/) - an unmoderated web-based social network app that uses the Ethereum blockchain.

* [Mycelia](http://myceliaformusic.org/) - a social network for musicians founded by Imogen Heap, planning a Creative Passport app using a blockchain and smart contracts

* [Numaverse](https://numaverse.com/) (defunct?) - a web-based social network app that uses the Ethereum blockchain. Was planning to bridge with AP networks. May be abandoned due to competition from Peepeth and Minds.

* [Peepeth](https://peepeth.com/) - a moderated web-based social network app that uses the Ethereum blockchain.

* [Pocketnet](https://pocketnet.app/) - a volunteer-developed social network using its own blockchain

* [Revolution Populi](https://revolutionpopuli.com/) - a white paper looking for a user base. ICO in the works.

* [Steemit](https://steemit.com) - a web-based social network app (Slashdot/Reddit-a-like with up/down voting) that uses the Steem blockchain.

* [Twister](http://twister.net.co/) - a birdsite clone using its own blockchain (?)

* [WeKu](https://weku.io/) - a blogging and social media app based on their own fork of the Steem blockchain (?)

## Media-hosting

* [BitSong](https://bitsong.io/) - music-hosting on its own blockchain

* [Choon](https://choon.co/) - BandCamp clone running payments on its own blockchain

* [DLive](https://dlive.tv/) - livestreaming on the Steem blockchain

* [DTube](https://d.tube/) - video hosting on the Steem blockchain

* [Lbry](https://lbry.io/) - uncensorable storage and retrieval system for digital media, using its own blockchain.

* [Musicoin](https://musicoin.org/) - music streaming on its own blockchain.

* [PiePie](https://piepieapp.com/) - social media sharing on the Mithril blockchain

* [Resonate](http://resonate.is/) - music streaming

* [SocialX](https://socialx.network/) - photo and video sharing on their own blockchain(?). The company is based in Singapore and got startup funding in an ICO using Ethereum. In beta as of early 2018.

* [Steepshot](https://steepshot.io/) - photo-sharing using the Steem blockchain

* [Ujo](https://ujomusic.com/) - BandCamp clone running payments on Ethereum

* [Viberate](https://www.viberate.io/) - Last.FM clone running its own VIB blockchain.

* [Voize](https://www.voise.com/) - a SoundCloud clone hosted on the Ethereum blockchain